GWT 2.7.0

## com.google.gwt.debug.client
Class DebugInfo

    java.lang.Object
      com.google.gwt.debug.client.DebugInfo

    public class DebugInfo

extends java.lang.Object

Provides low-level functionality to support the creation of testing and diagnostic frameworks.

See Also:
  `UIObject.ensureDebugId(String)`

Field Summary
`static java.lang.String` | `DEFAULT_DEBUG_ID_PREFIX`

Constructor Summary
`DebugInfo()`

Method Summary
`static java.lang.String` | `getDebugIdAttribute()` Returns the element attribute or property where the debug ID is set.
`static java.lang.String` | `getDebugIdPrefix()` Returns the prefix string used for debug ids.
`static boolean` | `isDebugIdAsProperty()` Returns true if the debug ID should be set as a property instead of an attribute.
`static boolean` | `isDebugIdEnabled()` Returns true if debug IDs are enabled such that calls to `UIObject.ensureDebugId(String)` will set DOM IDs on the `UIObject` and its important sub elements.
`static void` | `setDebugIdAttribute(java.lang.String attribute, boolean asProperty)` Sets the element attribute to assign the debug ID.
`static void` | `setDebugIdPrefix(java.lang.String prefix)` Sets the prefix string used for debug IDs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DEBUG_ID_PREFIX

    public static final java.lang.String DEFAULT_DEBUG_ID_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### DebugInfo

    public DebugInfo()

Method Detail

### getDebugIdAttribute

    public static java.lang.String getDebugIdAttribute()

  Returns the element attribute or property where the debug ID is set. Defaults to the element id property. Use `isDebugIdAsProperty()` to determine if the value is a property or attribute.

### getDebugIdPrefix

    public static java.lang.String getDebugIdPrefix()

  Returns the prefix string used for debug ids. Defaults to "gwt-debug-".

### isDebugIdAsProperty

    public static boolean isDebugIdAsProperty()

  Returns true if the debug ID should be set as a property instead of an attribute.

### isDebugIdEnabled

    public static boolean isDebugIdEnabled()

  Returns true if debug IDs are enabled such that calls to `UIObject.ensureDebugId(String)` will set DOM IDs on the `UIObject` and its important sub elements.

  Returns:
    true if debug IDs are enabled, false if disabled.
  See Also:
    `UIObject.ensureDebugId(String)`

### setDebugIdAttribute

    public static void setDebugIdAttribute(java.lang.String attribute,
                                           boolean asProperty)

  Sets the element attribute to assign the debug ID.

  Parameters:
    `attribute` - an element property
    `asProperty` - true to set the debug ID as a property instead of an attribute

### setDebugIdPrefix

    public static void setDebugIdPrefix(java.lang.String prefix)

  Sets the prefix string used for debug IDs.

GWT 2.7.0